Vue.component('product', {
  mixins: [crud, crud_front],
  template: `
<div>

  <standard-table v-if="data"
    perpage="10"
    :rows="data"
    :fields="[
        {name:'code', 'title': 'Code', type:'string', sort: true},
        {name:'name', 'title': 'Name', type:'string', sort: true},
        {name:'price', 'title': 'Price', type:'number', sort: true},
        {name:'warehouse', 'title': 'Warehouse', type:'string', sort: true}
    ]"
    perpage="10"
  />

</div>`,
  mounted: function() {
    store.commit('title', 'Product')
    this.instance = 'product'
    this.read_front()
  }
})

app.componentsLoaded('product')